<?php
/**
 * Footer Template
 *
 * The footer template is generally used on every page of your site. Nearly all other
 * templates call it somewhere near the bottom of the file. It is used mostly as a closing
 * wrapper, which is opened with the header.php file. It also executes key functions needed
 * by the theme, child themes, and plugins. 
 *
 * @package SpringBoard
 * @subpackage Template
 */
?>
		<?php do_atomic( 'after_container' ); // sboard_after_container ?>

	</div><!-- #container -->

	<div id="footer-container">

		<?php do_atomic( 'before_footer' ); // sboard_before_footer ?>

		<div id="springboard-footer">

			<?php if ( is_active_sidebar( 'footer-widget' ) ) : ?>
					<div id="widget-columns" class="widget-area" role="complementary">
						<ul class="xoxo">
							<?php dynamic_sidebar( 'footer-widget' ); ?>
						</ul>
					</div><!-- #secondary .widget-area -->
			<?php endif; ?>
		</div><!-- #footer -->

		<?php do_atomic( 'after_footer' ); // sboard_after_footer ?>

	</div><!-- #footer-container -->

</div><!-- #body-container -->

<?php do_atomic( 'after_html' ); // sboard_after_html ?>
<?php wp_footer(); // wp_footer ?>

</body>
</html>
